Page MenuHomePhabricator

Homepage: mentor text style issues in mobile Mentorship module dialog
Closed, ResolvedPublicBUG REPORT

Description

In the context of the mobile Newcomer homepage, mentor info text in the Mentorship module dialog has styling issues.

Actual Results:

letter-spacing is 0.02em

Expected Results:

letter-spacing should be 0

.growthexperiments-homepage-mentorship-editcount, .growthexperiments-homepage-mentorship-lastactive {
  letter-spacing: 0;
}

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterUse only default letter spacing
mediawiki/extensions/GrowthExperiments : masterMentorship: update mentor edit count and last active text

Event Timeline

Cntlsn created this task.Aug 12 2019, 5:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 5:05 PM
Cntlsn triaged this task as Low priority.Aug 12 2019, 5:05 PM

There's a letter-spacing: 0.02em rule on these because you asked for it here: T218966#5130398

Should the increased letter spacing continue to be applied on desktop, and only be undone on mobile, or should it be removed completely?

phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:10 AM

Change 530581 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Mentorship: update mentor edit count and last active text

https://gerrit.wikimedia.org/r/530581

Change 530581 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mentorship: update mentor edit count and last active text

https://gerrit.wikimedia.org/r/530581

Checked in betalabs:

RHo added a comment.Aug 21 2019, 12:49 PM

There's a letter-spacing: 0.02em rule on these because you asked for it here: T218966#5130398
Should the increased letter spacing continue to be applied on desktop, and only be undone on mobile, or should it be removed completely?

Hi @SBisson @Catrope - can we remove letter-spacing from all the modules please? It has very marginal benefit considering we are using the standard sans-serif font stack anyway, and in the different languages we have the module, I prefer to not change the letter-spacing from the default of 0 in case of unintended visual effects.

Change 531495 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Use only default letter spacing

https://gerrit.wikimedia.org/r/531495

Change 531495 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Use only default letter spacing

https://gerrit.wikimedia.org/r/531495

Checked - letter-spacing is removed.

MMiller_WMF closed this task as Resolved.Aug 29 2019, 12:49 AM

Thank you!